<p> {{ algorithm.description }} </p>
<p> {{'Parameters' | translate }} </p>
<mat-card class="example-card" *ngFor="let p of algorithm.parameters; let i = index">
  <mat-card-title-group>
    <mat-card-title>
      <h3>{{ p.name }}</h3>
    </mat-card-title>
    <mat-card-subtitle>{{p.description}}</mat-card-subtitle>
  </mat-card-title-group>
  <mat-card-content>
    <div class="custom-slider">
      <ngx-slider
              thumbLabel
              [(value)]="currentSetting[i]"
              (userChangeEnd)="newSettings()"
              [options]="{floor: isInverted(p) ? p.max : p.min,
                        ceil: isInverted(p) ? p.min : p.max,
                        step: stepsize(p.min, p.max),
                        disabled: disabled,
                        logScale: p.logScale,
                        showTicks: false,
                        rightToLeft: isInverted(p)
                      }">
      </ngx-slider>
    </div>

      <mat-form-field class="valueInput" appearance="outline">
        <input matInput 
               (change)="newSettings()"
               [name]="p.name"
               [(ngModel)]="currentSetting[i]"> 
        <span matSuffix >{{p.unit}}</span>
      </mat-form-field>
  </mat-card-content>
</mat-card>
